package com.realnet.angulardata.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.angulardata.Entity.Basicp;
import com.realnet.angulardata.Services.BasicpService ;




@RequestMapping(value = "/Basicp")
 @CrossOrigin("*") 
@RestController
public class BasicpController {
	@Autowired
	private BasicpService Service;

@Value("${projectPath}")
	private String projectPath;
 




	@PostMapping("/Basicp")
		  public Basicp Savedata(@RequestBody Basicp data) {
		Basicp save = Service.Savedata(data)	;



		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Basicp/{id}")
	public  Basicp update(@RequestBody Basicp data,@PathVariable Integer id ) {
		Basicp update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Basicp/getall/page")
	public Page<Basicp> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Basicp> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Basicp")
	public List<Basicp> getdetails() {
		 List<Basicp> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Basicp")
	public List<Basicp> getallwioutsec() {
		 List<Basicp> get = Service.getdetails();		
		return get;
}
@GetMapping("/Basicp/{id}")
	public  Basicp  getdetailsbyId(@PathVariable Integer id ) {
		Basicp  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Basicp/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}





}